Subject: [Sip] Priority and Resource Priority

From: "Jun KOSHIKO(Office)" <[email-masked]>
Date: Mon, 20 Dec 2004 16:42:34 +0900

Hello,

I would like to know the difference between 'priority' in RFC3261 and
'Resource-Priority' in draft-ietf-sip-resource-priority-05.txt.

I'm looking for a means to recognize the difference between normal calls
and emergency calls, so that proxies can give priority to the emergency
calls (911(us)/112(eu)/119(jp)).

I found two headers defined in SIP. One is 'priority' in RFC3261 and the
other is 'Resource Priority' in draft-ietf-sip-resource-priority-05.txt.
Since they are both used for indicating the priority of a call, I can't
make up my mind of which header is more suitable for the emergency call. 

Would you please give me some advice?

Best regards,
Jun Koshiko

---------------------------------------------------------
Jun KOSHIKO
Next Generation Strategy
Research and Development Center
NTT-east Corporation

Telephone  +81 3 5359 5104
Facsimile  +81 3 5359 4768
E-mail: [email-masked]
19-2 Nishi-shinjuku 3-chome Shinjuku-ku Tokyo 163-8019 Japan
---------------------------------------------------------

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Janet P Gunn <[email-masked]>
Date: Mon, 20 Dec 2004 09:13:17 -0500

The  difference between the "priority" and "resource priority" fields are
described in  draft-ietf-sip-resource-priority-05.txt
"This header field is related to, but differs in semantics from, the
   'Priority' header field (RFC 3261 [RFC3261], Section 20.26).  The
   'Priority' header field describes the importance that the SIP request
   should have to the receiving human or its agent.  For example, that
   header may be factored into decisions about call routing to mobile
   devices and assistants and call acceptance when the call destination
   is busy.  The 'Priority' header field does not affect the usage of
   GSTN gateway or proxy resources, for example.  In addition, any User
   Agent Client (UAC) can assert any 'Priority' value, while access to
   resource priority values are subject to authorization."

The "Priority Header" is not actecd on by any intervening SIP elements, but
is simply a notification to the destination.

The "Resource Priority Header" MAY BE acted on by the intervening SIP
elements.

As I understand it, the neither is intended to identify a "911 type"
emergency call, though other mechanisms have been identified.

There is a separate mailing list that specifically addresses  SIP and "911
type" emergency calls. called sipping-emergency.

You can find information about joining the list at
https://www1.ietf.org/mailman/listinfo/sipping-emergency.

You can find the archives at
http://www1.ietf.org/mail-archive/web/sipping-emergency/current/index.html

There is also a new working group, ecrit  (Emergency Context Resolution
with Internet Technologies), being started which will address these issues

----------------------------------------------------------------------------------------.

This is a PRIVATE message. If you are not the intended recipient, please
delete without copying and kindly advise us by e-mail of the mistake in
delivery. NOTE: Regardless of content, this e-mail shall not operate to
bind CSC to any order or other contract unless pursuant to explicit written
agreement or government initiative expressly permitting the use of e-mail
for such purpose.
----------------------------------------------------------------------------------------

                      "Jun                                                                                                   
                      KOSHIKO(Office)"         To:      [email-masked]                                                         
                      <j.koshiko               cc:                                                                           
                      @rdc.east.ntt.co         Subject: [Sip] Priority and Resource Priority                                 
                      .jp>                                                                                                   
                      Sent by:                                                                                               
                      sip-bounces                                                                                            

                      12/20/2004 02:42                                                                                       
                      AM                                                                                                     

Hello,

Best regards,
Jun Koshiko